//Client2.h
#ifndef CLIENT2_H_INCLUDED
#define CLIENT2_H_INCLUDED
#define SizX(x)                     x * rxRatio
#define SizY(y)                     y * ryRatio
#define dim(x)                      (sizeof(x) / sizeof(x[0]))
#define sizeof_ptr                  sizeof(void*)
#define IDC_STATIC                  -1
#define IDC_GET_DATA                1500
#define IDC_GET_SELECTED_ROW        1505
#define IDC_GET_ROW_COUNT           1510
#define IDC_SET_ROW_COUNT           1515
#define IDC_GET_HCELL               1520
#define IDC_COLOR_SOME_ROWS         1525
#define IDC_UNLOAD_GRID             1530
#define NUMBER_OF_ROWS              12
#define NUMBER_OF_COLUMNS           5

struct DpiData
{
 double                             rx;
 double                             ry;
};

struct                              WndEventArgs
{
 HWND                               hWnd;
 WPARAM                             wParam;
 LPARAM                             lParam;
 HINSTANCE                          hIns;
};

long fnWndProc_OnCreate             (WndEventArgs& Wea);
long fnWndProc_OnCommand            (WndEventArgs& Wea);
long fnWndProc_OnDestroy            (WndEventArgs& Wea);

struct EVENTHANDLER
{
 unsigned int                       iMsg;
 long                               (*fnPtr)(WndEventArgs&);
};

const EVENTHANDLER EventHandler[]=
{
 {WM_CREATE,                        fnWndProc_OnCreate},
 {WM_COMMAND,                       fnWndProc_OnCommand},
 {WM_DESTROY,                       fnWndProc_OnDestroy}
};

#endif // CLIENT2_H_INCLUDED
